summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2018-09-16 08:42:15 +0200
committerHans de Graaff <graaff@gentoo.org>2018-09-16 08:42:15 +0200
commit808d709ed0782056c6f40711a64b8a8dc37802d3 (patch)
treeac9cf2658babb541d257610658575bd87bd0e6bd
parentapp-text/qpdfview: bump to the current snapshot (diff)
downloadgentoo-808d709ed0782056c6f40711a64b8a8dc37802d3.tar.gz
gentoo-808d709ed0782056c6f40711a64b8a8dc37802d3.tar.bz2
gentoo-808d709ed0782056c6f40711a64b8a8dc37802d3.zip
dev-ruby/marcel: add 0.3.3
Package-Manager: Portage-2.3.40, Repoman-2.3.9
-rw-r--r--dev-ruby/marcel/Manifest1
-rw-r--r--dev-ruby/marcel/marcel-0.3.3.ebuild25
2 files changed, 26 insertions, 0 deletions
diff --git a/dev-ruby/marcel/Manifest b/dev-ruby/marcel/Manifest
index 69b3a9a28e5..4d996edffa8 100644
--- a/dev-ruby/marcel/Manifest
+++ b/dev-ruby/marcel/Manifest
@@ -1 +1,2 @@
DIST marcel-0.3.2.gem 7839232 BLAKE2B 001e03b109617f7804e1e8f77d65eaec81544040a13e1d18ef197fed1caa5a26dfc69e1796632a3ec29c3778eef9458a6f701bbefb2f30c89d77fb22622cdb0f SHA512 0e27c5c36f219e30ad41aa87a94e559ecc0185319ab33fbff2cc54656c5ec378c9f8ebd8d8d28a644c9b64cd7106aa2b235b893c5871ddda9db3596d8b8847bb
+DIST marcel-0.3.3.tar.gz 7845456 BLAKE2B e27d851119f434144a790cd1bfb1ca21662357b1875ae9193273e00c5abc6156c217efeb961356d4967d984b4c8fb4b4047620fa5d0448cc20651aa1ce05bb69 SHA512 d9be185fd6f5185fc67f3eed931ecf3084da671840b6e464bf341f51c9dec4ab1b4650abd1916e640b7caced230d6cb90370bffb559151e0047a8b03211dc751
diff --git a/dev-ruby/marcel/marcel-0.3.3.ebuild b/dev-ruby/marcel/marcel-0.3.3.ebuild
new file mode 100644
index 00000000000..8c682631376
--- /dev/null
+++ b/dev-ruby/marcel/marcel-0.3.3.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby23 ruby24 ruby25"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Simple mime type detection using magic numbers, filenames, and extensions"
+HOMEPAGE="https://github.com/basecamp/marcel"
+SRC_URI="https://github.com/basecamp/marcel/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/mimemagic-0.3.2:0"
+
+all_ruby_prepare() {
+ sed -i -e '2irequire "pathname"' test/test_helper.rb || die
+}